Subject: Re: [lojban] [WWWW] Goals for http://www.lojban.org/ (fwd)

From: Robin Lee Powell <[email-masked]>
Date: Thu, 6 Dec 2001 10:29:05 -0800

On Thu, Dec 06, 2001 at 06:10:46AM -0500, Bob LeChevalier (lojbab)
wrote:
> At 06:10 PM 12/5/01 -0800, you wrote:
> >> It rather looks like the right sidebar begins higher than the left
> >> one, giving a rather lopsided appearance.
> >
> >Again, that would be Netscape's fault. If I put a margin setting on
> >the right one, it folds over to the left. BTW, netscape ignores my
> >requests to remove the picture borders, sorry.
> 
> IE5 also has it looking lopsided. It appears that the left block is
> at the same height as the top of the capital L in Lojban. The right
> block extends above the final "l" of logical, such that the margin
> line around the logo is lined up with the top of that "l".

Yes, it looks lopsided in pretty much everything. My point was that I
can't *fix* it without breaking Netscape 4 completely. Like, to the
point of total unreadability.

> Interestingly the problem seems to vary with the width of the window I
> am looking at the page with. I had a favorites window on the left, so
> that the top line ended with "logical" for the above comment. When I
> closed the favorites window, I noticed that the two sidebars are even
> more lopsided. Then I reopened the favorites window and it returned
> to the original amount of misalignment. Finally I tried widening and
> narrowing the favorites window, and doing so smoothly I can see a
> couple of places where the left sidebar drops as the view window gets
> wider. The biggest drop comes when widening past the point where
> wordwrap moves the "has" of "has been built" up to the third line of
> the center column text.

That's because it's all percentage based.

> >> "You email" should of course be "Your email", if not "Your email
> >> address".
> >
> >Done.
> 
> Still looks the same here "You email [many spaces] ad with the hint of
> a second d on the edge of the fill in window.

Sorry, new versison not uploaded yet.

> >> The bullets are all on the outside of the text. That's a neat
> >> trick, and I wish I had known how to do that on my version. But
> >> since your version has extra space between bullet points anyway, it
> >> is not necessary for the bullets to stick out to the side, and you
> >> could reclaim some space in the sidebar by having the text wrap
> >> below the bullets.
> >
> >Again, that effect is due to your browser. None of mine do that.
> 
> I think he is referring to the hanging indents in the left sidebar,
> which look nice, but have a lot of white space for me.
> 
> I see:
> 
> -----------
> About Lojban
> (1 1/2 spaces)
> . What is Lojban? (the bullet matches the 'o' of about, the "What" 
> lines up with "L" of Lojban.
> (1 1/2 spaces)
> A brief ...
> constructed language Lojban
> (1 1/2 spaces)
> . Why learn
> -------
>
> and the large amount of space between paragraphs, as well as the
> degree of indent makes it look nice but at the expense of chewing up a
> lot of white space. The formatting on the two sidebars seems fixed -
> when I narrow the window as described above, the two sidebars are
> unchanged, but the central window gets narrower and narrower until
> sooner or later even the main heading drops below the right sidebar.

Yes, that's true; it's because of the pictures: the sidebar can't get
less wide than the picture at the top of it.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ BTW, I'm male, honest.
le datni cu djica le nu zifre .iku'i .oi le so'e datni cu to'e te pilno
je xlali -- RLP http://www.lojban.org/